WordPress 4.5 Update Broke Map Page

Home Forums Store Locator Plus WordPress 4.5 Update Broke Map Page

This topic contains 9 replies, has 5 voices, and was last updated by  Cici 7 months, 3 weeks ago.

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • #40411

    web9
    Participant

    Anyone else have issues with WP 4.5 update? I restored my site to backup and it’s working fine (thank you WPE!) but would always like to have the most current version of Worpress. Any tips form anyone????

    #40414

    Cici
    Keymaster

    Hi Rachael,

     

    I just updated and tested my site and No issues found…Lance has been building and testing against WP 4.5 since they had a pre release…so it should be fine.

     

    What versions of SLP and add-ons are you using?

    Could you provide your SLP Plug In environment (see Posting Guidelines)

     

    #40418

    Lance Cleveland
    Keymaster

    Provide your plugin environment AND the direct URL to your live site running under WP 4.5.  Or spin up a WP Engine staging site and upgrade THAT to 4.5.

    Most likely you have another plugin, not SLP, that has a broken JavaScript file when it runs under WP 4.5.

    #40424

    web9
    Participant

    Hello Cici and Lance,

    Thank you both for your immediate attention. Much appreciated. I updated the plugins one-by-one and the LP worked fine. As soon as I updated the WP install. The LP map and listing broke immediately. Here’s is the link to the working page: http://allabouteyes.com/locations/

    and I have attached a screen cap of the LP info as instructed

     

    Attachments:
    You must be logged in to view attached files.
    #40430

    Cici
    Keymaster

    Hi Rachael,

    All of Store Locator Plugins are on 4.4. now. Except Enhanced Results, Enhanced Search, and Widgets  they are Legacy since they are now part of the newer Experience Add-on.

    , but they will work with SLP 4.4.37

    Multi Map is not being maintained, it is a third party Plugin and has many problems so we suggest not using that.

    Directory Builder and Extended Data Manager are also on versions 4.4.xx and should be updated

    Suggest you update what you can in SLP and see if it works.

    Other plugins are breaking from I can tell in the WP forums..such as Visual Composer etc.

    You might want to check that forum out as well.

     

     

     

    #40431

    web9
    Participant

    Hello CiCi,

    Thank you for responding. One question:

    Is there a special order I should update? For example, update al SLPs then WP or should I update WP and then the SLPs.

    Let me know – thank you for your time!!!

    #40434

    Julian
    Participant

    I’m having the same problem. The map is not working any longer now with the new WordPress version. Anyone has found a solution?

    #40436

    Joe
    Participant

    The 4.5 update broke my map as well the map is completely missing this is ridiculous. This happened on my clients live site. There is nothing online about this issue or solution. Please advise we have the same issue on a couple of other sites as well.

    #40444

    Cici
    Keymaster

    @joe and @julian

    See WP issues and   information on WP about possible conflicts and  issues

    See WP 4.5 support information about the upgrade:

     In preparation for the WP 4.5 update Lance has been  developing and testing every change and release of SLP 4.4.xx using WP 4.5 since before it was released for production. He has been developing and testing with the WP 4.5 beta for developers to ensure SLP works. 

    I have updated my test site with SLP 4.4.37. all the latest add-ons etc.  installed and WP 4.5 and it works perfectly at this time.  I will continue to test the  individual add-ons.   I have also checked the SLP customer sites  and the Maps are  working on those from what I have tested reviewing them under the customer demo list ,   (See Demo customers)

    Conclusion:  It is most likely another Plugin or Theme that is using code or library that is breaking and effecting  SLP.   You can check the WP debugger or use Firefox to see what lines are broken and thus which plugins are effected

    If you read what we requested above of the original poster, Rachael , Without your Plugin Environment or your site url we cant point you in the right direction. Glomming  (as in me too) does not provide us the info we need to assist you. Please refer to the Posting Guidelines…it is ok to add to the post, but you must provide your information, everyone has different plugins, different themes, different configurations so one size does not fit all.

    @web

    I always have my SLP updated to the current release, so I am not sure what you should update first. I do not  think it matters for the WP4.5 unless you have a really old version of SLP…as mentioned in above , without plugin environment we cant assist you, but you should look at the articles and see if you have any plugins or themes that have the quirks and issues and address those there.

    ” Excerpt from WP” Plugins or themes that rely on the bundled Backbone and/or Underscore libraries should carefully check functionality with the latest versions and run any available unit tests to ensure compatibility.

     

    #40448

    Cici
    Keymaster

    This is an excerpt  from the WP rules for posting in their forums and a very good point about starting a new TOPIC.

    Do make your own topic unless you are using the exact same version of  Store Locator Plus and WordPress and on the same physical server hosted by the same hosts with the same plugins, theme and configurations as the original poster. You may find it weird, but it will be easier for us to help you specifically if you have your own topic.”

Viewing 10 posts - 1 through 10 (of 10 total)

You must be logged in to reply to this topic.